#========================================================================================
# package      DE_EPAGES::Order::API::CartSearchService
# state        public
#----------------------------------------------------------------------------------------
# description  Collects Cart Search data
#========================================================================================
package DE_EPAGES::Order::API::CartSearchService;

use base DE_EPAGES::Order::API::OrderSearchService;

use strict;



#========================================================================================
# function     DefineSearchParameters
# state        public
#----------------------------------------------------------------------------------------
# syntax       $CartSearchService->DefineSearchParameters();
#----------------------------------------------------------------------------------------
# description  Defines SearchParameters used in DAL
#========================================================================================
sub DefineSearchParameters {
    my $self = shift;

    $self->{'SearchParameters'} = {
        'ObjectID'=> $self->{'Shop'}->id(),
        'Parameters' => {
            'Shop.ID'    => $self->{'Shop'}->id(),
            'IsVisible'  => 1,
            'ExcludeOrderedBaskets' => 1,
        },
        'PageSize'=>$self->{'ResultsPerPage'},
        'OrderBy'    => 'CreationDate',
        'OrderDesc'  => 1,
        'Object' => undef,
        'SearchDefinition' => undef
    };

    $self->{'SearchParameters'}{'Object'} = $self->{'Shop'};

    if(defined $self->{'Query'}{'hasAddressData'}){
        if($self->{'Query'}{'hasAddressData'}->[0] eq 'true'){
            $self->{'SearchForm'}->{'HasAddressData'} = 1;
        } elsif($self->{'Query'}{'hasAddressData'}->[0] eq 'false'){
            $self->{'SearchForm'}->{'HasEmptyAddressData'} = 1;
        }
    }

    my $SearchName = 'RESTSearch';

    my $SearchDefinition = $self->_GetSearchDefinition($self->_LoadClassByAlias('Basket'), $SearchName);
    $self->{'SearchParameters'}{'SearchDefinition'} = $SearchDefinition;
}

1;